|  | Home · All Classes · Modules

# QParallelAnimationGroup Class Reference
[QtCore module]

The QParallelAnimationGroup class provides a parallel group of animations. More...

Inherits QAnimationGroup.

### Methods

- __init__ (self, QObject parent = None)
- int duration (self)
- bool event (self, QEvent event)
- updateCurrentTime (self, int currentTime)
- updateDirection (self, QAbstractAnimation.Direction direction)
- updateState (self, QAbstractAnimation.State newState, QAbstractAnimation.State oldState)

## Detailed Description

The QParallelAnimationGroup class provides a parallel group of animations.

QParallelAnimationGroup--a container for animations--starts all its animations when it is started itself, i.e., runs all animations in parallel. The animation group finishes when the longest lasting animation has finished.

You can treat QParallelAnimation as any other QAbstractAnimation, e.g., pause, resume, or add it to other animation groups.

     QParallelAnimationGroup *group = new QParallelAnimationGroup;
     group->addAnimation(anim1);
     group->addAnimation(anim2);

     group->start();

In this example, `anim1` and `anim2` are two QPropertyAnimations that have already been set up.

## Method Documentation

### QParallelAnimationGroup.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a QParallelAnimationGroup. parent is passed to QObject's constructor.

### int QParallelAnimationGroup.duration (self)

Reimplemented from QAbstractAnimation.duration().

### bool QParallelAnimationGroup.event (self, QEvent event)

Reimplemented from QObject.event().

### QParallelAnimationGroup.updateCurrentTime (self, int currentTime)

Reimplemented from QAbstractAnimation.updateCurrentTime().

### QParallelAnimationGroup.updateDirection (self, QAbstractAnimation.Direction direction)

Reimplemented from QAbstractAnimation.updateDirection().

### QParallelAnimationGroup.updateState (self, QAbstractAnimation.State newState, QAbstractAnimation.State oldState)

Reimplemented from QAbstractAnimation.updateState().